import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {

	final int ALPH = 26;

	@Override
	public Outcome test(InStream inf, InStream ouf, InStream ans) {
		int query = 0;
		while (!ans.seekEoF()) {
			query++;
			int juryAns = ans.nextInt(), partAns = ouf.nextInt();
			if (partAns != juryAns) {
				return new Outcome(Type.WA, "Wrong answer on get query #" + query
						+ ": expected " + juryAns + ", but got " + partAns);
			}
		}
		return new Outcome(Type.OK, "OK");
	}
}
